Equip Customize Command (YEP)

From Yanfly.moe Wiki
Jump to navigation Jump to search


System

This is a plugin created for RPG Maker MV.

For help on how to install plugins, click here.

For help on how to update plugins, click here.

Got errors with your RPG Maker MV plugin? Click here.

Download

Required Plugins

The following plugins are required in order to use this plugin.

Place the following plugins above this plugin located in the Plugin Manager.

Yanfly Engine Plugins

This plugin is a part of the Yanfly Engine Plugins library.


Introduction

This plugin requires YEP_ItemCore && YEP_EquipCore.js. Make sure this plugin
is located under both of those plugins in the plugin list.

Games that use the YEP_X_ItemUpgradeSlots, YEP_X_ItemDurability, and
YEP_X_AttachAugment plugins may notice that it's not too intuitive to
modify items from the item menu when they're equipped to the actors in the
equip menu. This plugin will add a "Customize" option to the Equip menu that
will function as a shortcut to the Item menu for quick customization access.

Plugin Commands

PluginCommandsMV.png

Plugin Commands are event commands that are used to call upon functions added by a plugin that aren't inherently a part of RPG Maker MV.

Here is a list of Plugin Command(s) that you may use:

There's a couple of plugin commands you can use with this plugin.

Plugin Command:

  ShowEquipCustomize
  - This will show the 'Customize' command in the equip menu.

  HideEquipCustomize
  - This will hide the 'Customize' command in the equip menu.

Changelog

Version 1.02:
- Updated for RPG Maker MV version 1.5.0.

Version 1.01:
- Optimization Update

Version 1.00:
- Finished Plugin!